### Name: ghyp
### Title: Univariate Generalized Hyperbolic Distribution
### Aliases: dghyp rghyp
### Keywords: distribution

### ** Examples

data(DJ);
#Make returns from timeSeries (the default is log-returns). 
#Ret.DJ is a timeSeries class.
Ret.DJ <- mk.returns(DJ);
DJ30dailyTS <- window(Ret.DJ, from="1993-01-01", to="2000-12-31");
DJ30daily <- 100*seriesData(DJ30dailyTS);
#Extract only the Microsoft returns as 'rseries'; remember this is a vector--not a timeSeries
rseries <- DJ30daily[,"MSFT"];
#The default case for fit.NH(() is NIG requiring lambda = -1/2.
mod.NIG <- fit.NH(rseries);
xvals <- seq(from=min(rseries),to=max(rseries),length=100);
yvals.NIG <- dghyp(xvals,lambda=-1/2,chi=mod.NIG$par.ests[1],
  psi=mod.NIG$par.ests[2],mu=mod.NIG$par.ests[3],gamma=mod.NIG$par.ests[4]);



