### Name: plot.PP
### Title: Plot Point Process
### Aliases: plot.PP
### Keywords: hplot

### ** Examples

data(sp500);
sp500.nreturns <- -mk.returns(sp500);
window <- (seriesPositions(sp500.nreturns) > 
      timeDate("1995-12-31",format = "%Y-%m-%d")) &
        (seriesPositions(sp500.nreturns) < 
            timeDate("2004-01-01",format = "%Y-%m-%d"));
sp500.nreturns <- sp500.nreturns[window];
#The following functions are contained in functionsHawkes.R. 
#Plot the 100 largest exceedances. Create an MPP (marked point process) class 
tmp <- extremalPP(sp500.nreturns,ne=100);
#Be sure to graph with plot.PP instead of plot.MPP:
tmp2 <- unmark(tmp);
plot.PP(tmp2);



