### Name: spdata
### Title: Standard and Poors Default Data
### Aliases: spdata
### Keywords: datasets

### ** Examples

#Must attach MASS and nlme libraries to run mixed effect regression model
library(MASS);
library(nlme);
#Load timeSeries:
data(spdata); #timeSeries
ratingval <- spdata@recordIDs$rating;
yearval <- as.numeric(spdata@recordIDs$DATE);
#Use R- library MASS to get glmmPQL which runs a mixed-effects model. 
#It will measure random effects and fixed effects.
#'year' -'ratings' determine the unique results(20 years 1981-2000 with 5 obligor 
#class ratings each year)
results <- glmmPQL(cbind(defaults,firms-defaults) ~ -1 + ratingval, 
     random = ~1| yearval, family=binomial(probit), data=spdata);
results;
summary(results);
summary(results)$tTable[,1];
detach("package:nlme");
detach("package:MASS");



